xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
xmlencryption::Encrypter::KeyEncryptionParams Struct Reference

Structure to collect key wrapping/transport requirements. More...

`#include <xmltooling/encryption/Encrypter.h>`

## Public Member Functions
| KeyEncryptionParams (const xmltooling::Credential &credential, const XMLCh *algorithm=0, const XMLCh *recipient=0)
| Constructor. More...

## Public Attributes
const xmltooling::Credential & | m_credential
| Credential containing key encryption key. More...
const XMLCh * | m_algorithm
| Key transport or wrapping algorithm. More...
const XMLCh * | m_recipient
| Name of recipient that owns the key encryption key. More...

## Detailed Description

Structure to collect key wrapping/transport requirements.

## Constructor & Destructor Documentation

xmlencryption::Encrypter::KeyEncryptionParams::KeyEncryptionParams | ( | const xmltooling::Credential & | credential,
|  | const XMLCh * | algorithm = `0`,
|  | const XMLCh * | recipient = `0`
| ) |  |

Constructor.

Parameters

  credential | a Credential supplying the key encryption key
  algorithm | XML Encryption key wrapping or transport algorithm constant
  recipient | optional name of recipient of encrypted key

## Member Data Documentation

const XMLCh* xmlencryption::Encrypter::KeyEncryptionParams::m_algorithm

Key transport or wrapping algorithm.

const xmltooling::Credential& xmlencryption::Encrypter::KeyEncryptionParams::m_credential

Credential containing key encryption key.

const XMLCh* xmlencryption::Encrypter::KeyEncryptionParams::m_recipient

Name of recipient that owns the key encryption key.

The documentation for this struct was generated from the following file:

- xmltooling/encryption/Encrypter.h